View Issue Details

IDProjectCategoryLast Update
0019302Starward Rogue[All Projects] Bug - OtherOct 19, 2018 9:36 am
ReporterWhistlerAssigned ToPepisolo 
Severityminor 
Status newResolutionreopened 
Product Version1.800 
Fixed in Version 
Summary0019302: Missing files
DescriptionOn loading I get multiple System.IO.FileNotFoundExceptions for ~/.steam/ ... /Shots/Gravitateshard{1 to 8}.png, Shots/Large/CylonLittleLargeIOnCyan.png, The game can still run.
TagsNo tags attached.

Activities

Pepisolo

Dec 10, 2017 10:25 am

developer   ~0046620

Was this on Linux? Looks like it might be letter case problem.

Whistler

Dec 10, 2017 11:57 am

reporter   ~0046621

Yes, it was on Linux

Pepisolo

Dec 10, 2017 11:59 am

developer   ~0046622

Last edited: Dec 10, 2017 12:01 pm

View 2 revisions

That seemed to be the issue, I fixed the Gravitate shard and IonCyan errors. It's a shame my linux setup is a bit borked so I can't double-check the Linux build myself at the moment. Thanks for the feedback!

Whistler

Dec 21, 2017 9:01 pm

reporter   ~0046633

A couple more missing files on 1.751+ Augmented:
File Images/Tilesets/GoldShip/SubTilesets/ElegantTechnology/FloorDecorations/Lights2_Dict does not exist!

Starward Rogue/RuntimeData/Images/Ships/Familiars/TacticalAdviserplaceholder.png

On second thought, one of them is a placeholder

Whistler

Dec 21, 2017 9:03 pm

reporter   ~0046634

Reopening-- see previous note

Pepisolo

Dec 21, 2017 9:07 pm

developer   ~0046635

Thanks, I'll get that fixed before the next version goes out, although that might be a while. Thanks for testing the Linux build for us, that's much appreciated.

Pepisolo

Dec 27, 2017 12:44 pm

developer   ~0046654

Fixed those, thanks! I'll keep an eye on this report for any more problems like that, thanks!

Whistler

Jan 9, 2018 12:00 am

reporter   ~0046660

File Images/Tilesets/GoldShip/SubTilesets/ElegantTechnology/FloorDecorations/Lights2_Dict does not exist!

This is still missing in 1.800. Only appears in certain rooms.

Pepisolo

Jan 9, 2018 10:24 am

developer   ~0046662

That's odd, this seems fixed to me. It could perhaps be that your images haven't had their names updated. Perhaps any files with changes in casing aren't updated as default by Steam. If you navigate to RuntimeData\Images\Tilesets\GoldShip\SubTilesets\ElegantTechnology\FloorDecorations and then delete what should be Lights2_dict (lower case) , then verify the integrity of the steam files by right-clicking Starward Rogue in your steam library, selecting properties, local files, and then verifying the integrity of your game files, those files should be redownloaded properly...which should fix the error. Hopefully! :)

Whistler

Jan 9, 2018 9:20 pm

reporter   ~0046663

It downloaded a new Lights2_Dict after verification. I haven't generated a new room since, but that should do the trick! Thanks

Pepisolo

Jan 10, 2018 7:29 pm

developer   ~0046664

Hopefully that does the trick. Thanks!

Whistler

Jan 19, 2018 9:24 pm

reporter   ~0046698

More files! In achievements, perfect clear battleswarm and wallmaster pngs

Pepisolo

Jan 20, 2018 12:39 pm

developer   ~0046699

Last edited: Jan 20, 2018 12:40 pm

View 2 revisions

Drat! I wish my Linux setup would run SR so I could test these myself. Thanks for testing the Linux build for me! :)

Those Battleswarm and Wallmaster ones are strange, well those are base game achievements so it's strange we haven't had any reports about those yet. Anyway, they should be fixed for the next build, thanks!

Oh, you'll probably need to redownload those images via steam to fix those errors.

Whistler

Oct 18, 2018 9:43 pm

reporter   ~0050151

Couple more from the new update
Images/Shots/Simpler/DonutTrueBlue.png
Images/Shots/Simpler/BarbedneedleBlue.png

Pepisolo

Oct 19, 2018 9:36 am

developer   ~0050154

Cool, thanks. I think I have these fixed for the next build. The only one I'm not sure about is DonutTrueBlue. That particular casing looks correct, but I did find one error with that shot name having the wrong case, so that should hopefully fix the issue. I'm not sure when the next build will be out yet, perhaps we can try for one on Monday. Cheers!

Issue History

Date Modified Username Field Change
Dec 9, 2017 10:51 pm Whistler New Issue
Dec 10, 2017 10:25 am Pepisolo Note Added: 0046620
Dec 10, 2017 11:57 am Whistler Note Added: 0046621
Dec 10, 2017 11:59 am Pepisolo Note Added: 0046622
Dec 10, 2017 12:00 pm Pepisolo Assigned To => Pepisolo
Dec 10, 2017 12:00 pm Pepisolo Status new => resolved
Dec 10, 2017 12:00 pm Pepisolo Resolution open => fixed
Dec 10, 2017 12:00 pm Pepisolo Fixed in Version => 1.702 (Beta)
Dec 10, 2017 12:01 pm Pepisolo Note Edited: 0046622 View Revisions
Dec 10, 2017 4:46 pm Pepisolo Fixed in Version 1.702 (Beta) => 1.703 (Beta)
Dec 21, 2017 9:01 pm Whistler Note Added: 0046633
Dec 21, 2017 9:03 pm Whistler Status resolved => feedback
Dec 21, 2017 9:03 pm Whistler Resolution fixed => reopened
Dec 21, 2017 9:03 pm Whistler Note Added: 0046634
Dec 21, 2017 9:06 pm Pepisolo Status feedback => assigned
Dec 21, 2017 9:06 pm Pepisolo Product Version 1.701 (Beta) => 1.800
Dec 21, 2017 9:06 pm Pepisolo Fixed in Version 1.703 (Beta) =>
Dec 21, 2017 9:07 pm Pepisolo Note Added: 0046635
Dec 27, 2017 12:44 pm Pepisolo Note Added: 0046654
Jan 9, 2018 12:00 am Whistler Note Added: 0046660
Jan 9, 2018 10:24 am Pepisolo Note Added: 0046662
Jan 9, 2018 9:20 pm Whistler Note Added: 0046663
Jan 10, 2018 7:29 pm Pepisolo Note Added: 0046664
Jan 19, 2018 9:24 pm Whistler Note Added: 0046698
Jan 20, 2018 12:39 pm Pepisolo Note Added: 0046699
Jan 20, 2018 12:40 pm Pepisolo Note Edited: 0046699 View Revisions
Jul 7, 2018 12:14 pm Pepisolo Status assigned => resolved
Oct 18, 2018 9:43 pm Whistler Note Added: 0050151
Oct 18, 2018 10:34 pm Whistler Status resolved => new
Oct 19, 2018 9:36 am Pepisolo Note Added: 0050154